SDL_GetGamepadProductForID(3)

NAME
SDL_GetGamepadProductForID - Get the USB product ID of a gamepad, if available.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

Uint16 SDL_GetGamepadProductForID(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any gamepads are opened. If the product ID isn't available this function returns 0.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID.

RETURN VALUE
Returns the USB product ID of the selected gamepad. If called on an invalid index, this function returns zero.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetGamepadProduct(3), SDL_GetGamepads(3)